function [An] = unfolding(A,n)
% function  [An] = unfolding(A,n)
%
%           Unfolding of the nth order tensor
%
% A      : nth order tensor
% 
% An     : size(A,n)xsize(A,(n+1)mod3)size(A,(n+2)mod3) matrix unfolding n

S=size(A);

O=length(S);

Odim=1:O;

%nOdim=[n,(n-1):-1:1,O:-1:(n+1)]
%order = [n,1:n-1,n+1:O];
nOdim=circshift(Odim,[1 -(n-1)]);
nOdim=[nOdim(1) fliplr(nOdim(2:end))];
nS=S(nOdim);

B=permute(A,nOdim);
An=reshape(B,nS(1),prod(nS(2:end)));



 